# pdorg_site


## Installation

Yeah, yeah, some documentation.

This is written in Hakyll.

From scratch:

  - install stack (http://haskellstack.org) - any method should do, but my most recent just used `apt install haskell-stack`. It's an older version, but it works
  - use stack to install everything, including a compiler - `stack build --install-ghc`
    * you may have to install some dependencies. most recently, I had to `apt install libz-dev`
  - use stack to build the site: `stack exec site build`
  - compiled site contents are in `_site`

If you add a page (blog post or whatnot):

    stack exec site build

If you make a change to `site.hs`:

    stack build
    stack exec site rebuild


Honestly, you can use `rebuild` all the time if you want to, but it will be a little longer -- it deletes `_site` and builds it from scratch.


## Running locally

All you need is `stack exec site watch`.

## Deploying

On the current Rimu VM (as of mid-2018):

    cd code/pdorg_site
    git pull; stack exec site rebuild

As above, if you make a change to the `site.hs`, you'll instead want:

    cd code/pdorg_site
    git pull
    stack build
    stack exec site rebuild



